require 'sketchup.rb'
require 'extensions.rb'
# require 'profile' #make sure to disable when not using the profiler

module DM

  module PlaceMaker

    VERSION = "2.0.1"
    PLUGIN = self
    PLUGIN_NAME = "PlaceMaker"
    LH = LanguageHandler.new("placemaker.strings")

    if Sketchup.version.to_i >= 16
      cpExtension = SketchupExtension.new(PLUGIN_NAME, (File.join(File.dirname(__FILE__),"DM_PlaceMaker","cp_load")))
      cpExtension.description = (LH["PlaceMaker imports aerial imagery and OpenStreetMap data for creating fast contextual models of any location in the world."])
      cpExtension.version = VERSION
      cpExtension.creator = "mind.sight.studios / Ambit3D"
      cpExtension.copyright = "2017, MindSight Studios Inc. All rights reserved."
      Sketchup.register_extension cpExtension, true
    else
      UI.messagebox(LH["SketchUp 2016 or greater is required to use PlaceMaker."])
    end
  end

end