var l10n_strings = {};

function uncheck(className) {
    var box = document.getElementsByClassName(className)[0];
    box.checked = false;
}

function disableElement(element) {
    if (element.className.search(/(^| )disabled($| )/) == -1) { //does not already have class
        element.className += ' disabled';
    }
}

function enableElement(element) {
    classString = element.className.replace(/(^| )disabled($| )/, '');
    element.className = classString;
}

function hideElement(element) {
    if (element.className.search(/(^| )invisible($| )/) == -1) { //does not already have class
        element.className += ' invisible';
    }
}

function showElement(element) {
    element.className = element.className.replace(/(^| )invisible($| )/, '');
}

function disableButton(buttonElement) {
    $(buttonElement).attr("disabled", true);
}

function enableButton(buttonElement) {
    $(buttonElement).attr("disabled", false);
}

// Call this method from WebDialog.
function localize(strings) {
    l10n_strings = strings;
    $(".localize").each(function() {
        var $this = $(this);
        var type = $this.prop('tagName').toLowerCase();
        var input, output = '';

        switch(type) {

            case "input":
                input = $this.attr("placeholder");
                output = l10n(input);
                $this.attr("placeholder", output);
                break;

            default:
                input = $this.text();
                output = l10n(input);
                $this.text(output);
        }

    });
    $('[title]').each(function() {
        var $this = $(this);
        var input = $this.prop('title');
        var output = l10n(input);
        $this.prop('title', output);
    });
}

function disableSelect() {
    $(document).on('mousedown selectstart', function(e) {
        return $(e.target).is('input, textarea, select, option');
    });
}

function disableContextMenu() {
    $(document).on('contextmenu', function(e) {
        return $(e.target).is('input[type=text]');
    });
}

// Returns a localized string if such exist.
function l10n(string) {
    var result = l10n_strings[string];
    if (result === undefined) {
        return string;
    } else {
        return result;
    }
}


// SketchUp fails if you pass an apostrophe to a WebDialog callback so we need to encode it
function encode(string) {
    return string.replace(/'/g,"PMapos;").replace(/"/g, "PMquot;");
}